Releasing a shipment

Overview

Request to release a shipment in status created or pending to any of the warehouses by calling this endpoint

Method access
      POST https://api.getbyrd.com/v3/shipments/release
Request Headers
      Authorization: Bearer token-from Authentication
      Content-Type: application/json
      User-Agent: your user-agent How to call the APIs

Fields

FieldTypeDescriptionRequired
shipment_idsaddress objectThe list of shipment ids to be released.always
warehouse_idstringWarehouse to fulfill the shipment.
If not specified, your default warehouse will be assigned.
optional
📘

Auto release

The shipment release to the default warehouse can be done automatically after a shipment is created.
This can be set by setting options.auto_release: true when creating the shipment.